require_relative '../lib/git.rb'
require 'fileutils'

describe Git do
	it "should be able to get the remote origin" do
		expect(Git.remote_origin).to eq('https://github.com/lou-parslow/dev_git.gem.git')
	end

	it "should be able to get the current branch" do
		expect(Git.branch).not_to eq('')
	end

	it "should be able to perform a basic workflow" do
		repo_dir="#{File.dirname(__FILE__)}/tmp/repo"
		
		FileUtils.rm_r repo_dir if File.exists?(repo_dir)
		
		Git.init repo_dir
		#FileUtils.mkpath repo_dir if !File.exists?(repo_dir)
		#Dir.chdir(repo_dir) do
		#	`git init`
		#	File.open('.gitignore','w'){|f|
		#		f.puts '### Ruby ###'
		#		f.puts '*.gem'
		#	}
		#	`git add .gitignore`
		#	`git commit -m'added .gitignore'`
		#end
		expect(File.exists?("#{repo_dir}/.git")).to eq(true)
		#Node.Net.Environment.Command createMaster = new Node.Net.Environment.Command("git checkout -b master", workingPath);
		#expect(Git.branch repo_dir).to eq('master')

		wrk_dir="#{File.dirname(__FILE__)}/tmp/wrk"
		FileUtils.rm_r wrk_dir if File.exists?(wrk_dir)
		`git clone #{repo_dir} #{wrk_dir}`
		expect(File.exists?("#{wrk_dir}/.git")).to eq(true)
		Dir.chdir(wrk_dir) do
			#{}`git checkout -b master`
			#expect(Git.branch).to eq('master')
		end
		#expect(Git.branch wrk_dir).to eq('master')
		FileUtils.rm_r repo_dir
		FileUtils.rm_r wrk_dir
	end
end